<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /usr/include/c++/7/bits/stl_iterator.h - functions</title>
  <link rel="stylesheet" type="text/css" href="../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../index.html">top level</a> - <a href="index.html">usr/include/c++/7/bits</a> - stl_iterator.h<span style="font-size: 80%;"> (<a href="stl_iterator.h.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">32</td>
            <td class="headerCovTableEntry">32</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">39</td>
            <td class="headerCovTableEntry">44</td>
            <td class="headerCovTableEntryMed">88.6 %</td>
          </tr>
          <tr><td><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><a href="stl_iterator.h.func.html"><img src="../../../../../updown.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></a></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><img src="../../../../../glass.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#798">_ZN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEppEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#798">_ZN9__gnu_cxx17__normal_iteratorIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEEppEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#878">_ZN9__gnu_cxxneIPKiSt6vectorIiSaIiEEEEbRKNS_17__normal_iteratorIT_T0_EESB_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#790">_ZNK9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEdeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#790">_ZNK9__gnu_cxx17__normal_iteratorIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEEdeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#878">_ZN9__gnu_cxxneIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEEEbRKNS_17__normal_iteratorIT_T0_EESC_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#981">_ZSt12__niter_baseIPSt6vectorIiSaIiEES0_IS2_SaIS2_EEET_N9__gnu_cxx17__normal_iteratorIS6_T0_EE</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#960">_ZN9__gnu_cxxmiIPSt6vectorIS1_IiSaIiEESaIS3_EES1_IS5_SaIS5_EEEENS_17__normal_iteratorIT_T0_E15difference_typeERKSC_SF_</a></td>
              <td class="coverFnHi">28</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#777">_ZN9__gnu_cxx17__normal_iteratorIPSt6vectorIS1_IiSaIiEESaIS3_EES1_IS5_SaIS5_EEEC2ERKS6_</a></td>
              <td class="coverFnHi">56</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#981">_ZSt12__niter_baseIPKSt6vectorIiSaIiEES0_IS2_SaIS2_EEET_N9__gnu_cxx17__normal_iteratorIS7_T0_EE</a></td>
              <td class="coverFnHi">62</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#842">_ZNK9__gnu_cxx17__normal_iteratorIPSt6vectorIS1_IiSaIiEESaIS3_EES1_IS5_SaIS5_EEE4baseEv</a></td>
              <td class="coverFnHi">112</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1034">_ZNSt13move_iteratorIPSt6vectorIS0_IiSaIiEESaIS2_EEEC2ES5_</a></td>
              <td class="coverFnHi">112</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1219">_ZSt32__make_move_if_noexcept_iteratorISt6vectorIS0_IiSaIiEESaIS2_EESt13move_iteratorIPS4_EET0_PT_</a></td>
              <td class="coverFnHi">112</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1047">_ZNKSt13move_iteratorIPSt6vectorIS0_IiSaIiEESaIS2_EEEdeEv</a></td>
              <td class="coverFnHi">138</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1055">_ZNSt13move_iteratorIPSt6vectorIS0_IiSaIiEESaIS2_EEEppEv</a></td>
              <td class="coverFnHi">138</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1122">_ZSteqIPSt6vectorIS0_IiSaIiEESaIS2_EEEbRKSt13move_iteratorIT_ESA_</a></td>
              <td class="coverFnHi">194</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1134">_ZStneIPSt6vectorIS0_IiSaIiEESaIS2_EEEbRKSt13move_iteratorIT_ESA_</a></td>
              <td class="coverFnHi">194</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#981">_ZSt12__niter_baseIPiSt6vectorIiSaIiEEET_N9__gnu_cxx17__normal_iteratorIS4_T0_EE</a></td>
              <td class="coverFnHi">199</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1043">_ZNKSt13move_iteratorIPSt6vectorIS0_IiSaIiEESaIS2_EEE4baseEv</a></td>
              <td class="coverFnHi">388</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#960">_ZN9__gnu_cxxmiIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEEENS_17__normal_iteratorIT_T0_E15difference_typeERKSA_SD_</a></td>
              <td class="coverFnHi">1147</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#777">_ZN9__gnu_cxx17__normal_iteratorIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEEC2ERKS4_</a></td>
              <td class="coverFnHi">2306</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1034">_ZNSt13move_iteratorIPSt6vectorIiSaIiEEEC2ES3_</a></td>
              <td class="coverFnHi">4588</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1219">_ZSt32__make_move_if_noexcept_iteratorISt6vectorIiSaIiEESt13move_iteratorIPS2_EET0_PT_</a></td>
              <td class="coverFnHi">4588</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#842">_ZNK9__gnu_cxx17__normal_iteratorIPSt6vectorIiSaIiEES1_IS3_SaIS3_EEE4baseEv</a></td>
              <td class="coverFnHi">4600</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#777">_ZN9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES1_IS3_SaIS3_EEEC2ERKS5_</a></td>
              <td class="coverFnHi">36112</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1047">_ZNKSt13move_iteratorIPSt6vectorIiSaIiEEEdeEv</a></td>
              <td class="coverFnHi">109989</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1055">_ZNSt13move_iteratorIPSt6vectorIiSaIiEEEppEv</a></td>
              <td class="coverFnHi">109989</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1122">_ZSteqIPSt6vectorIiSaIiEEEbRKSt13move_iteratorIT_ES8_</a></td>
              <td class="coverFnHi">112283</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1134">_ZStneIPSt6vectorIiSaIiEEEbRKSt13move_iteratorIT_ES8_</a></td>
              <td class="coverFnHi">112283</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1043">_ZNKSt13move_iteratorIPSt6vectorIiSaIiEEE4baseEv</a></td>
              <td class="coverFnHi">224566</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#960">_ZN9__gnu_cxxmiIPiSt6vectorIiSaIiEEEENS_17__normal_iteratorIT_T0_E15difference_typeERKS8_SB_</a></td>
              <td class="coverFnHi">412164</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#777">_ZN9__gnu_cxx17__normal_iteratorIPiSt6vectorIiSaIiEEEC2ERKS1_</a></td>
              <td class="coverFnHi">824925</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1043">_ZNKSt13move_iteratorIPiE4baseEv</a></td>
              <td class="coverFnHi">1648656</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1034">_ZNSt13move_iteratorIPiEC2ES0_</a></td>
              <td class="coverFnHi">1648656</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1239">_ZSt12__miter_baseIPiEDTcl12__miter_basecldtfp_4baseEEESt13move_iteratorIT_E</a></td>
              <td class="coverFnHi">1648656</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#1219">_ZSt32__make_move_if_noexcept_iteratorIiSt13move_iteratorIPiEET0_PT_</a></td>
              <td class="coverFnHi">1648656</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#842">_ZNK9__gnu_cxx17__normal_iteratorIPiSt6vectorIiSaIiEEE4baseEv</a></td>
              <td class="coverFnHi">1648855</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#798">_ZN9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES1_IS3_SaIS3_EEEppEv</a></td>
              <td class="coverFnHi">15523142</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#790">_ZNK9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES1_IS3_SaIS3_EEEdeEv</a></td>
              <td class="coverFnHi">15523142</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#878">_ZN9__gnu_cxxneIPKSt6vectorIiSaIiEES1_IS3_SaIS3_EEEEbRKNS_17__normal_iteratorIT_T0_EESD_</a></td>
              <td class="coverFnHi">15541167</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#842">_ZNK9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES1_IS3_SaIS3_EEE4baseEv</a></td>
              <td class="coverFnHi">31082396</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#777">_ZN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEC2ERKS2_</a></td>
              <td class="coverFnHi">53067127</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#842">_ZNK9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEE4baseEv</a></td>
              <td class="coverFnHi">53067127</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_iterator.h.gcov.html#981">_ZSt12__niter_baseIPKiSt6vectorIiSaIiEEET_N9__gnu_cxx17__normal_iteratorIS5_T0_EE</a></td>
              <td class="coverFnHi">53067127</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
